List audio generations
curl --request GET \
--url https://gengen.farm/api/gengen/v1/audio/generations \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/audio/generations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/audio/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"model": "eleven_v3",
"status": "queued",
"outputs": {
"audios": [
{
"url": "<string>",
"contentType": "<string>",
"bytes": 123,
"expiresAt": "2023-11-07T05:31:56Z"
}
]
},
"usage": {
"inputCharacters": 123,
"billableCharacters": 123,
"chargedUsd": 123
},
"phase": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Generations
List audio generations
List audio generations. See the Audio API guide for limits, lifecycle and examples.
GET
/
audio
/
generations
List audio generations
curl --request GET \
--url https://gengen.farm/api/gengen/v1/audio/generations \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/audio/generations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/audio/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"model": "eleven_v3",
"status": "queued",
"outputs": {
"audios": [
{
"url": "<string>",
"contentType": "<string>",
"bytes": 123,
"expiresAt": "2023-11-07T05:31:56Z"
}
]
},
"usage": {
"inputCharacters": 123,
"billableCharacters": 123,
"chargedUsd": 123
},
"phase": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}See the Audio API guide for request examples, limits, billing and delivery behavior.